For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
      • GETGet file's metadata
      • GETGet metadata key's value
      • PUTUpdate metadata key's value
      • DELDelete metadata key
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIFile Metadata

Get file's metadata

GET
https://api.uploadcare.com/files/:uuid/metadata/
GET
/files/:uuid/metadata/
$curl https://api.uploadcare.com/files/21975c81-7f57-4c7a-aef9-acfe28779f78/metadata/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>"
1{
2 "subsystem": "uploader",
3 "pet": "cat"
4}
Get file's metadata keys and values.
Was this page helpful?
Previous

Get metadata key's value

Next
Built with

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Path parameters

uuidstringRequiredformat: "uuid"
File UUID.

Headers

AcceptstringRequired
Version header.

Response

File metadata in JSON.

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error